# Elf_Auxargs Struct Reference

`#include <elf.h>`

## Data Fields

u_int32_t | base
u_int32_t | entry
int32_t | execfd
u_int32_t | flags
u_int32_t | pagesz
u_int32_t | phdr
u_int32_t | phent
u_int32_t | phnum
u_int32_t | trace

## Detailed Description

Definition at line 155 of file elf.h.

## Field Documentation

u_int32_t Elf_Auxargs::base

Definition at line 161 of file elf.h.

u_int32_t Elf_Auxargs::entry

Definition at line 163 of file elf.h.

int32_t Elf_Auxargs::execfd

Definition at line 156 of file elf.h.

u_int32_t Elf_Auxargs::flags

Definition at line 162 of file elf.h.

u_int32_t Elf_Auxargs::pagesz

Definition at line 160 of file elf.h.

u_int32_t Elf_Auxargs::phdr

Definition at line 157 of file elf.h.

u_int32_t Elf_Auxargs::phent

Definition at line 158 of file elf.h.

u_int32_t Elf_Auxargs::phnum

Definition at line 159 of file elf.h.

u_int32_t Elf_Auxargs::trace

Definition at line 164 of file elf.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/elf.h